<?php
/**
 * Pizza Delivery: Block Patterns
 *
 * @since Pizza Delivery 1.0
 */

function pizza_delivery_register_block_patterns() {
	$pizza_delivery_block_pattern_categories = array(
		'pizza-delivery'    => array( 'label' => __( 'Pizza Delivery', 'pizza-delivery' ) ),
	);

	$pizza_delivery_block_pattern_categories = apply_filters( 'pizza_delivery_block_pattern_categories', $pizza_delivery_block_pattern_categories );

	foreach ( $pizza_delivery_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'pizza_delivery_register_block_patterns', 9 );